<?php
/**
 * Authorization script for mostlyCE (originally written for mosCE).
 *@author $Author: Ryan Demmer (Changed for mostlyCE by Chad Auld)
 * @version $Id: auth_mostlyce.php 26 2004-12-24 18:24:00 $
 * @package TinyMCE_exp
 * @Portions from remository.php
 */

// Don't allow direct linking
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed!' );

function checkplugin( $type ){
        global $mosConfig_absolute_path, $mainframe, $my, $database, $mosConfig_host, $mosConfig_user, $mosConfig_password, $mosConfig_db, $mosConfig_dbprefix;

        include ( $mosConfig_absolute_path."/mambots/editors/mostlyce/jscripts/tiny_mce/mostlyce_config.php" );

        //Get group id from database relative to session usertype
        $query = "SELECT lft FROM #__core_acl_aro_groups WHERE name = '".$my->usertype."' LIMIT 1";
        $database->setQuery( $query );
        $grp = $database->loadResult();
        
        //Check for access rights based on parameter info and session info
        switch ( $type ){
                case 'superadmin' :
                      return ( strtolower( $my->usertype ) === 'superadministrator' || strtolower( $my->usertype ) === 'super administrator' || $grp == 16 ) ? true : false;
                case 'imgmanager' :
                      return ( $grp >= $editor_plugin_imgmanager_acl && $editor_plugin_imgmanager_acl != 0 ) ? true : false;
                break;
                case 'filemanager' :
                      return ( $grp >= $editor_plugin_filemanager_acl && $editor_plugin_filemanager_acl != 0 ) ? true : false;
                break;
                case 'font' :
                      return ( $grp >= $editor_font_tools_acl && $editor_font_tools_acl != 0 ) ? true : false;
                break;
                case 'emotions' :
                      return ( $grp >= $editor_plugin_emotions_acl && $editor_plugin_emotions_acl != 0 ) ? true : false;
                break;
                case 'advlink' :
                      return ( $grp >= $editor_plugin_advlink_acl && $editor_plugin_advlink_acl != 0 ) ? true : false;
                break;
                case 'flash' :
                      return ( $grp >= $editor_plugin_flash_acl && $editor_plugin_flash_acl != 0 ) ? true : false;
                break;
                case 'table' :
                      return ( $grp >= $editor_plugin_table_acl && $editor_plugin_table_acl != 0 ) ? true : false;
                break;
                case 'script' :
                      return ( $grp >= $editor_script_acl && $editor_script_acl != 0 ) ? true : false;
                break;
                case 'iframe' :
                      return ( $grp >= $editor_iframe_acl && $editor_iframe_acl != 0 ) ? true : false;
                break;
		case 'iespell' :
                      return ( $grp >= $editor_iespell_acl && $editor_iespell_acl != 0 ) ? true : false;
                break;
        }
}

?>
