<?php
class editAction extends Action
{
    function execute(&$controller, &$request)
    {
        $lang = mosGetParam($_REQUEST, 'lang', array('english'));
        $langfile = mamboCore::get('rootPath').DIRECTORY_SEPARATOR.'language'.DIRECTORY_SEPARATOR.$lang[0].'.xml';
        
        $p = xml_parser_create();
        xml_parser_set_option($p, XML_OPTION_CASE_FOLDING, 0);
        xml_parser_set_option($p, XML_OPTION_SKIP_WHITE, 1);
        xml_parse_into_struct($p, implode("", file($langfile)), $values);
        xml_parser_free($p);
        $language['id'] = $lang[0];
        foreach($values as $key => $value)
        {
            if ($value['tag'] == 'name') $language['name'] = $value['value'];
            if ($value['tag'] == 'param') {
                $name = $value['attributes']['name'];
                $language[$name] = $value['attributes']['default'];
            }
        }
        $request->setAttribute('action', 'edit');
        $request->setAttribute('language', $language);
        $controller->view('edit');
        
        
        
    }
}
?>