<?php
/**
* @package Mambo Open Source
* @copyright (C) 2005 - 2006 Mambo Foundation Inc.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
*
* Mambo was originally developed by Miro (www.miro.com.au) in 2000. Miro assigned the copyright in Mambo to The Mambo Foundation in 2005 to ensure
* that Mambo remained free Open Source software owned and managed by the community.
* Mambo is Free Software
*/ 
/**
* @version $Id: mostlyce.php, 2006/02/25 cauld
* @package Mambo_4.6
* @Based on tinymce.php
* @copyright (C) 2000 - 2006 The Mambo Foundation
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* Mambo is Free Software
*/

/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

$_MAMBOTS->registerFunction( 'onInitEditor', 'botmostlyceEditorInit' );
$_MAMBOTS->registerFunction( 'onGetEditorContents', 'botmostlyceEditorGetContents' );
$_MAMBOTS->registerFunction( 'onEditorArea', 'botmostlyceEditorEditorArea' );

Global $mosConfig_live_site, $jspath, $mosConfig_absolute_path;
include ($mosConfig_absolute_path."/mambots/editors/mostlyce/jscripts/tiny_mce/mostlyce_config.php");
// --- Start custom code DHS Informatisering - opensource@dhs.nl, www.dhs.nl  
// This code makes it possible to use mostlyce in a website that combines normal and SSL-connections

if (isset($_SERVER['HTTPS']) &&  $_SERVER['HTTPS'] == "on") { 
	$jspath = "https:" . stristr ( $mosConfig_live_site, "//" );
} else {
	$jspath = "http:" . stristr ( $mosConfig_live_site, "//" );
}

// Replaced every occurrence of '$mosConfig_live_site' with '$jspath' in this file
// --- End custom code DHS Informatisering ---

//Render Row Buttons
function renderButton( $row, $remove_font )
{
    $row = explode( ',', $row );
    foreach( $row as $key => $rowitem ) {
        if( strpos( $rowitem, '-' )  === 0) {
            unset( $row[$key] );
        }
        if( $remove_font ){
            if( $rowitem == 'fontselect' || $rowitem == 'fontsizeselect' || $rowitem == 'forecolor' || $rowitem == 'backcolor' ) {
                unset( $row[$key] );
            }
        }
    }
    return $new_row = implode( ',', array_values( $row ) );
}
/**
* TinyMCE WYSIWYG Editor - javascript initialisation
*/
function botmostlyceEditorInit() {

        global $mosConfig_live_site, $my, $database, $mosConfig_absolute_path, $jspath, $adminside;

        include ( $mosConfig_absolute_path."/mambots/editors/mostlyce/jscripts/tiny_mce/mostlyce_config.php" );
        require_once ( $mosConfig_absolute_path."/mambots/editors/mostlyce/jscripts/tiny_mce/auth_mostlyce.php" );

        //Allows for dynamic editor sizing by appls like Remository
	$get_width = mosGetParam($_GET,'width',NULL);
	$get_height = mosGetParam($_GET,'height',NULL);
	if ($get_width) {$editor_width = (int)$get_width; }
	if ($get_height) {$editor_height = (int)$get_height; } 

        //Check for User rights
        $isSuperAdmin = checkplugin( 'superadmin' );
        $imgmanagerAuth = checkplugin( 'imgmanager' );
        $filemanagerAuth = checkplugin( 'filemanager' );
        $flashAuth = checkplugin( 'flash' );
        $fontAuth = checkplugin( 'font' );
        $emotionsAuth = checkplugin( 'emotions' );
        $advlinkAuth = checkplugin( 'advlink' );
        $scriptAuth = checkplugin( 'script' );
        $iframeAuth = checkplugin( 'iframe' );
        $tableAuth = checkplugin( 'table' );
        
        // Get the default stylesheet
        $query = "SELECT template FROM #__templates_menu WHERE client_id='0' AND menuid='0'";
        $database->setQuery( $query );
        $cur_template = $database->loadResult();
        // Assigned template
        if ( isset( $Itemid ) && $Itemid != "" && $Itemid != 0 ) {
            $query = "SELECT template FROM #__templates_menu WHERE client_id='0' AND menuid='$Itemid' LIMIT 1";
            $database->setQuery( $query );
            $cur_template = $database->loadResult() ? $database->loadResult() : $cur_template;
        }
        //Plugin settings and Authorisation
        $invalid_elements[] = 'object,applet';

	//Use new $adminside global for 4.6, but will want something better for 5.0+
        //Image Manager
	if( ($imgmanagerAuth || $isSuperAdmin) && $adminside != 0 ) $plugins[] = 'imgmanager';
        //File Manager
        if( ($filemanagerAuth || $isSuperAdmin) && $adminside != 0 ) $plugins[] = 'filemanager';
        //Flash Manager
        if( $flashAuth || $isSuperAdmin ) $plugins[] = 'flash';
        //Preview
        if( $adminside != 0 ) $plugins[] = 'preview';
        //Font Options
        if ( $fontAuth || $isSuperAdmin ){
            $elements[] = "font[face|size|color|style]";
            $remove_font = false;
       }else{
            $remove_font = true;
       }
        //Emotions
        if( $emotionsAuth || $isSuperAdmin ) $plugins[] = 'emotions';
        //Advanced Link
        if( $advlinkAuth || $isSuperAdmin ) $plugins[] = 'advlink';
        //Tables
        if( $tableAuth || $isSuperAdmin ) $plugins[] = 'table';
        //Paragraphs or breaks
        if ( $editor_newlines == 'p' ){
            $p_newlines = "true";
            $br_newlines = "false";
        }
        if ( $editor_newlines == 'br' ){
            $p_newlines = "false";
            $br_newlines = "true";
        }
        
        if ( $scriptAuth || $isSuperAdmin ){
            $elements[] = "script[$editor_script_elms]";
        } else {
            $invalid_elements[] = "script";
        }

        if ( $iframeAuth || $isSuperAdmin ){
            $elements[] = "iframe[$editor_iframe_elms]";
        } else {
            $invalid_elements[] = "iframe";
        }

        $css_template = $mosConfig_live_site."/templates/".$cur_template."/css/";
        $content_css = ($editor_css_override == '1' ) ? $css_template.$editor_custom_css : $css_template."template_css.css";

        $editor_layout_row1 = renderButton( str_replace( "\r\n", "", $editor_layout_row1 ), $remove_font );
        $editor_layout_row2 = renderButton( str_replace( "\r\n", "", $editor_layout_row2 ), $remove_font );
        $editor_layout_row3 = renderButton( str_replace( "\r\n", "", $editor_layout_row3 ), $remove_font );
        $editor_layout_row4 = renderButton( str_replace( "\r\n", "", $editor_layout_row4 ), $remove_font );
        
        //Plugins List
        $plugins[] = $editor_extra_plugins;
        $plugins = implode( ',', $plugins );
        $elements[] = $editor_xtd_elms;
        $elements = implode( ',', $elements );
        $invalid_elements = implode( ',', $invalid_elements );

//Check TinyMCE compression setting and set correct file path
if ($editor_compression=='1')
{ $compress_file = "mambots/editors/mostlyce/jscripts/tiny_mce/tiny_mce_gzip.php"; }
else
{ $compress_file = "mambots/editors/mostlyce/jscripts/tiny_mce/tiny_mce.js"; }
        
        return <<<EOD
<!--//TinyMCE/MosTlyCE-->	
<script type="text/javascript" src="$jspath/$compress_file"></script>
<script type="text/javascript" src="$jspath/mambots/editors/mostlyce/jscripts/tiny_mce/mostlyce_functions.js"></script>
<script type="text/javascript">
        var convert_urls = $editor_convert_urls;
        tinyMCE.init({
                theme : "$editor_themes",
                language : "$editor_lang",
                lang_list : "$editor_lang_list",
                mode : "specific_textareas",
                browsers : "msie,safari,gecko",
                onclick_elements : "$editor_onclick_elms",
                width : $editor_width,
                height : $editor_height,
                mambo_base_url: "$mosConfig_live_site/",
                document_base_url: "$mosConfig_live_site/",
                relative_urls : false,
                remove_script_host : false,
                auto_reset_designmode : true,
                save_callback : "MamboSave",
                content_css : "$content_css",
                plugin_preview_pageurl : "$jspath/mambots/editors/mostlyce/jscripts/tiny_mce/plugins/preview/preview.php",
                plugin_preview_width : "600",
                plugin_preview_height : "400",
                table_color_fields : true,
                paste_use_dialog : true,
                advimage_constrain_proportions : true,
                invalid_elements: "$invalid_elements",
                force_br_newlines : $br_newlines,
                force_p_newlines : $p_newlines,
                directionality : "$editor_direction",
                theme_advanced_layout_manager : "RowLayout",
                theme_advanced_containers : "top1,top2,top3,top4,mceEditor,mceElementpath",
                theme_advanced_containers_default_class : "mceToolbar",
                theme_advanced_containers_default_align : "center",
                theme_advanced_container_top1_align : "left",
                theme_advanced_container_top2_align : "left",
                theme_advanced_container_top3_align : "left",
                theme_advanced_container_top4_align : "left",
                theme_advanced_container_top1 : "$editor_layout_row1",
                theme_advanced_container_top2 : "$editor_layout_row2",
                theme_advanced_container_top3 : "$editor_layout_row3",
                theme_advanced_container_top4 : "$editor_layout_row4",
                theme_advanced_container_top1_class : "mceToolbarTop",
                theme_advanced_container_top2_class : "mceToolbarTop",
                theme_advanced_container_top3_class : "mceToolbarTop",
                theme_advanced_container_top4_class : "mceToolbarTop",
                theme_advanced_container_mceElementpath_class : "mcePathBottom",
                plugins : "$plugins,advimage,paste,fullscreen,directionality,mambo,contextmenu,caption,htmltemplate",
                extended_valid_elements : ""
                +"+a[href|title|target|onclick|id|name|style|class],"
                +"img[id|class|src|border=0|alt|title|hspace|vspace|width|height|align|onmouseover|onmouseout|name|style|usemap|onclick],"
                +"table[bgcolor|border=0|cellspacing|cellpadding|width|height|class|align],"
                +"tr[bgcolor|class|rowspan|width|height|align|valign],"
                +"td[bgcolor|class|colspan|rowspan|width|height|align|valign|onclick],"
                +"th[bgcolor|class|colspan|rowspan|width|height|align|valign],"
                +"thead[class|id],tbody[class|id],"
                +"div[dir|class|style|id|name|align],span[class|style|id|name],"
                +"$elements"
        });
</script>
EOD;
}
/**
* TinyMCE WYSIWYG Editor - copy editor contents to form field
* @param string The name of the editor area
* @param string The name of the form field
*/
function botmostlyceEditorGetContents( $editorArea, $hiddenField ) {
        global $jspath;

        return <<<EOD
        tinyMCE.triggerSave();
EOD;
}
/**
* mostlyce WYSIWYG Editor - display the editor
* @param string The name of the editor area
* @param string The content of the field
* @param string The name of the form field
* @param string The width of the editor area
* @param string The height of the editor area
* @param int The number of columns for the editor area
* @param int The number of rows for the editor area
*/
function botmostlyceEditorEditorArea( $name, $content, $hiddenField, $width, $height, $col, $row, $showbut=1 ) {
        global $jspath, $_MAMBOTS;

        $results = $_MAMBOTS->trigger( 'onCustomEditorButton' );
        $buttons = array();
        foreach ($results as $result) {
               $buttons[] = '<img src="'.$jspath.'/mambots/editors-xtd/'.$result[0].'" onclick="tinyMCE.execCommand(\'mceInsertContent\',false,\''.$result[1].'\')" />';
        }
            $buttons = implode( "", $buttons );

        return <<<EOD
<textarea id="$hiddenField" name="$hiddenField" cols="$col" rows="$row" style="width:{$width}px; height:{$height}px;" mce_editable="true">$content</textarea>
<br />$buttons
EOD;
}
?>
