/**
 * Functions for the Advanced Link, used by link.php and search.html.php
 *@author $Author: Ryan Demmer $
 * @version $Id: link.js 26 200-02-20 Ryan Demmer $
 * @package Advanced Link
 * Some elements by Michael Keck (me@michaelkeck.de)
 */
var templates = {
	"window.open" : "window.open('${url}','${target}','${options}')"
};
    function init() {
      setPopupControlsDisabled(true);
    // modified 2004-11-10 by Michael Keck (me@michaelkeck.de)
    // supporting onclick event to open pop windows
               for (var i=0; i<document.forms[0].target.options.length; i++) {
                        var option = document.forms[0].target.options[i];

                        if (option.value == tinyMCE.getWindowArg('target'))
                                option.selected = true;
                }
        var hreftmp = tinyMCE.getWindowArg('href');
        if (hreftmp.indexOf('mailto:') != -1){
            emailstr = tinyMCE.getWindowArg('href');
            emailstr = emailstr.substring( emailstr.indexOf( 'mailto:' ) +7, emailstr.length);
            emailstr = emailstr.split('?');
            document.forms[0].email.value = emailstr[0];
            document.forms[0].email_subject.value = emailstr[1].substring( emailstr[1].indexOf( 'subject=:' ) +9, emailstr[1].length);
        }
        var onclick = tinyMCE.getWindowArg('onclick');
        if(onclick == ''){
            document.forms[0].href.value = tinyMCE.getWindowArg('href');
        }else{
            parseWindowOpen(onclick);
        }
        document.forms[0].title.value = tinyMCE.getWindowArg('title');
        document.forms[0].insert.value = tinyMCE.getLang('lang_' + tinyMCE.getWindowArg('action'));
        window.focus();

        
        renderAnchorList();
    }
    
function setPopupControlsDisabled(state) {
	var formObj = document.forms[0];

	formObj.popupname.disabled = state;
	formObj.popupwidth.disabled = state;
	formObj.popupheight.disabled = state;
	formObj.popupleft.disabled = state;
	formObj.popuptop.disabled = state;
	formObj.popuplocation.disabled = state;
	formObj.popupscrollbars.disabled = state;
	formObj.popupmenubar.disabled = state;
	formObj.popupresizable.disabled = state;
	formObj.popuptoolbar.disabled = state;
	formObj.popupstatus.disabled = state;
}
function buildOnClick() {
	var formObj = document.forms[0];
	
    var onclick = "window.open('";
    
    var popurl = formObj.href.value;
    popurl += '&pop=1';
    popurl = popurl.replace('index.php', 'index2.php', 'gi');
    
    onclick += popurl + "','";
	onclick += formObj.popupname.value + "','";

	if (formObj.popuplocation.checked)
		onclick += "location=yes,";

	if (formObj.popupscrollbars.checked)
		onclick += "scrollbars=yes,";

	if (formObj.popupmenubar.checked)
		onclick += "menubar=yes,";

	if (formObj.popupresizable.checked)
		onclick += "resizable=yes,";

	if (formObj.popuptoolbar.checked)
		onclick += "toolbar=yes,";

	if (formObj.popupstatus.checked)
		onclick += "status=yes,";

	if (formObj.popupwidth.value != "")
		onclick += "width=" + formObj.popupwidth.value + ",";

	if (formObj.popupheight.value != "")
		onclick += "height=" + formObj.popupheight.value + ",";

	if (formObj.popupleft.value != "") {
		if (formObj.popupleft.value != "c")
			onclick += "left=" + formObj.popupleft.value + ",";
		else
			onclick += "left='+(screen.availWidth/2-" + (formObj.popupwidth.value/2) + ")+',";
	}

	if (formObj.popuptop.value != "") {
		if (formObj.popuptop.value != "c")
			onclick += "top=" + formObj.popuptop.value + ",";
		else
			onclick += "top='+(screen.availHeight/2-" + (formObj.popupheight.value/2) + ")+',";
	}

	if (onclick.charAt(onclick.length-1) == ',')
		onclick = onclick.substring(0, onclick.length-1);

	onclick += "');";

		onclick += "return false;";

	// tinyMCE.debug(onclick);

	formObj.onclick.value = onclick;
	//alert (onclick);
}
function parseWindowOpen(onclick) {
	var formObj = document.forms[0];

	var onClickData = parseLink(onclick);

	if (onClickData != null) {
		formObj.ispopup.checked = true;
		setPopupControlsDisabled(false);

		var onClickWindowOptions = parseOptions(onClickData['options']);

		formObj.popupname.value = onClickData['target'];
		popupurl = onClickData['url'];
		popupurl = popupurl.replace('index2.php?option=', 'index.php?option=', 'gi');
		popupurl = popupurl.replace('&pop=1', '', 'gi');
		formObj.href.value = popupurl;
		formObj.popupwidth.value = getOption(onClickWindowOptions, 'width');
		formObj.popupheight.value = getOption(onClickWindowOptions, 'height');

		formObj.popupleft.value = getOption(onClickWindowOptions, 'left');
		formObj.popuptop.value = getOption(onClickWindowOptions, 'top');

		if (formObj.popupleft.value.indexOf('screen') != -1)
			formObj.popupleft.value = "c";

		if (formObj.popuptop.value.indexOf('screen') != -1)
			formObj.popuptop.value = "c";

		formObj.popuplocation.checked = getOption(onClickWindowOptions, 'location') == "yes";
		formObj.popupscrollbars.checked = getOption(onClickWindowOptions, 'scrollbars') == "yes";
		formObj.popupmenubar.checked = getOption(onClickWindowOptions, 'menubar') == "yes";
		formObj.popupresizable.checked = getOption(onClickWindowOptions, 'resizable') == "yes";
		formObj.popuptoolbar.checked = getOption(onClickWindowOptions, 'toolbar') == "yes";
		formObj.popupstatus.checked = getOption(onClickWindowOptions, 'status') == "yes";
	}
}
function getOption(opts, name) {
	return typeof(opts[name]) == "undefined" ? "" : opts[name];
}
function renderAnchorList() {
    var inst = tinyMCE.selectedInstance;
    var nodes = inst.getBody().getElementsByTagName("a");

    var anchorSelectElm = document.forms[0].anchorList;

    for (var i=0; i<nodes.length; i++) {
        if ((name = tinyMCE.getAttrib(nodes[i], "name")) != "")
        anchorSelectElm.options[anchorSelectElm.length] = new Option(name, '#'+name);
    }
}
function parseLink(link) {
	link = link.replace(new RegExp('&#39;', 'g'), "'");

	var fnName = link.replace(new RegExp("\\W*([A-Za-z0-9\.]*)\\W*\\(.*", "gi"), "$1");

	// Is function name a template function
	var template = templates[fnName];
	if (template) {
		// Build regexp
		var variableNames = template.match(new RegExp("'?\\$\\{[A-Za-z0-9\.]*\\}'?", "gi"));
		var regExp = "\\W*[A-Za-z0-9\.]*\\W*\\(";
		var replaceStr = "";
		for (var i=0; i<variableNames.length; i++) {
			// Is string value
			if (variableNames[i].indexOf("'${") != -1)
				regExp += "'(.*)'";
			else // Number value
				regExp += "([0-9]*)";

			replaceStr += "$" + (i+1);

			// Cleanup variable name
			variableNames[i] = variableNames[i].replace(new RegExp("[^A-Za-z0-9]", "gi"), "");

			if (i != variableNames.length-1) {
				regExp += "\\W*,\\W*";
				replaceStr += "<delim>";
			} else
				regExp += ".*";
		}

		regExp += "\\);?";

		// Build variable array
		var variables = new Array();
		variables["_function"] = fnName;
		var variableValues = link.replace(new RegExp(regExp, "gi"), replaceStr).split('<delim>');
		for (var i=0; i<variableNames.length; i++)
			variables[variableNames[i]] = variableValues[i];

		return variables;
	}

	return null;
}

function parseOptions(opts) {
	if (opts == null || opts == "")
		return new Array();

	// Cleanup the options
	opts = opts.toLowerCase();
	opts = opts.replace(/;/g, ",");
	opts = opts.replace(/[^0-9a-z=,]/g, "");

	var optionChunks = opts.split(',');
	var options = new Array();

	for (var i=0; i<optionChunks.length; i++) {
		var parts = optionChunks[i].split('=');

		if (parts.length == 2)
			options[parts[0]] = parts[1];
	}

	return options;
}
    function checkPopup() {
      if(document.forms[0].ispopup.checked){
        var hreflink = document.forms[0].href.value;
        if(hreflink == '') {
            alert('Please select a published content item to create a popup.');
            document.forms[0].ispopup.checked = false;
            setPopupControlsDisabled(true);
            
        }else{
            if(hreflink.indexOf(site_url) != 0){
                alert('Popups are only available for local content');
                document.forms[0].ispopup.checked = false;
                setPopupControlsDisabled(true);
            }
        }
      }
    }
    function insertLink() {
        if (window.opener) {
            if(document.forms[0].ispopup.checked) {
                var href = '#';
            }else{
                var href = document.forms[0].href.value;
            }
            var target = document.forms[0].target.options[document.forms[0].target.selectedIndex].value;
            var title = document.forms[0].title.value;
            var onclick = document.forms[0].onclick.value;
            window.opener.tinyMCE.insertLink(href, target, title, onclick);
                        top.close();
        }
    }

    function cancelAction() {
        top.close();
    }
    function checkEmail() {
      emailadd = document.forms[0].email.value;
      if (emailadd != '' && emailadd.match('@')) {
        document.forms[0].href.value = 'mailto:'+document.forms[0].email.value+'?subject='+document.forms[0].email_subject.value;
      }else{
        alert('The e-mail address entered is not a valid e-mail address!');
      }
    }
    function SearchLink(searchlink)
        {
                var topDoc = window.top.document;
                var formObj = window.top.document.forms[0];

                var obj = topDoc.getElementById('href');  obj.value = searchlink;
        }
